aboutsummaryrefslogtreecommitdiff
path: root/src/metalog/metalog
diff options
context:
space:
mode:
Diffstat (limited to 'src/metalog/metalog')
-rwxr-xr-xsrc/metalog/metalog42
1 files changed, 42 insertions, 0 deletions
diff --git a/src/metalog/metalog b/src/metalog/metalog
new file mode 100755
index 0000000..2110024
--- /dev/null
+++ b/src/metalog/metalog
@@ -0,0 +1,42 @@
+#!/bin/bash
+
+# source application-specific settings
+[ -f /etc/conf.d/metalog ] && . /etc/conf.d/metalog
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+if [ -f /var/run/metalog.pid ]; then
+ PID=$(cat /var/run/metalog.pid) 2>/dev/null
+fi
+
+case "$1" in
+ start)
+ stat_busy "Starting Metalog"
+ [ -z "$PID" ] && /usr/sbin/metalog -B $METALOG_OPTS 2>&1
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon metalog
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping Metalog"
+ [ ! -z "$PID" ] && kill $PID &>/dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon metalog
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0